#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libogg-1.3.5

- Next

  libquicktime-1.2.4

- Up
- Home

# libplacebo-6.338.2

## Introduction to libplacebo

The libplacebo package contains a library for processing image and video primitives and shaders. It also includes a high quality rendering pipeline that supports OpenGL and Vulkan.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://github.com/haasn/libplacebo/archive/refs/tags/v6.338.2/libplacebo-6.338.2.tar.gz

- Download MD5 sum: 4f5b743ec43c684e6da0d56efed3891c

- Download size: 824 KB

- Estimated disk space required: 34 MB

- Estimated build time: 0.1 SBU (With tests, both using parallelism=4

### libplacebo Dependencies

#### Required

FFmpeg-6.1.1 and Glad-2.0.5

#### Recommended

Glslang-14.0.0 and Vulkan-Loader-1.3.277

#### Optional

Little CMS-2.14 libunwind-1.6.2, dovi_tool, Nuklear, and xxHash

## Installation of libplacebo

Install libplacebo by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -Dtests=true        \
          -Ddemos=false       &&
    ninja

To test the results, issue: ninja test. One test, opengl_surfaceless.c, is known to fail.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Ddemos=false`: This switch disables building the demo programs because building plplay is currently broken.

`-Dtests=true`: This switch enables building the code necessary to run the tests.

## Contents

Installed Programs: None
Installed Libraries: libplacebo.so
Installed Directories: /usr/include/libplacebo

### Short Descriptions

`libplacebo.so` | processes image and video primitives and shaders and provides a high quality rendering pipeline for OpenGL and Vulkan

- Prev

  libogg-1.3.5

- Next

  libquicktime-1.2.4

- Up
- Home